%global debug_package %{nil}

Name:           lua-language-server
Version:        3.6.1
Release:        1%{?dist}
Summary:        A Language Server for Lua

License:        MIT
URL:            https://github.com/sumneko/lua-language-server
Source0:        https://github.com/sumneko/%{name}/releases/download/%{version}/%{name}-%{version}-submodules.zip
Source1:        https://github.com/sumneko/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source2:        lua-lsp-launcher.sh

ExcludeArch:    s390x ppc64le ppc64

BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libstdc++-static
BuildRequires:  ninja-build
BuildRequires:  unzip

%description
This package provides a Language Server Protocol (LSP) implementation for Lua.

%prep
%autosetup -c


%build
sed "s#\(lm.cxx.*\)#\1\nlm.flags = '%{optflags}'\nlm.ldflags = '%{__global_ldflags}'#p" -i make.lua
head -10 make.lua

ninja -C 3rd/luamake -f compile/ninja/linux.ninja
./3rd/luamake/luamake all


%install
install -d -m 0755 %{buildroot}%{_libexecdir}/%{name}
cp -av bin/* %{buildroot}%{_libexecdir}/%{name}

install -d -m 0755 %{buildroot}%{_datadir}/%{name}
cp -av \
    debugger.lua \
    main.lua \
    locale \
    script \
    meta \
    %{buildroot}%{_datadir}/%{name}/

install -d -m 0755 %{buildroot}%{_bindir}
sed -e 's#@LIBEXECDIR@#%{_libexecdir}#' %{SOURCE2} > %{buildroot}%{_bindir}/%{name}
chmod 0755 %{buildroot}%{_bindir}/%{name}

%fdupes %{buildroot}%{_libexecdir}/%{name}

%check
./3rd/luamake/luamake bee-test unit-test


%files
%license LICENSE
%doc README.md changelog.md
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_datadir}/%{name}/


%changelog
* Thu Jan 26 2023 Andreas Schneider <asn@redhat.com> - 3.6.7-1
- Initial package
